Delete or Unsubscribe Lead
curl --request DELETE \
--url https://api.lemlist.com/api/campaigns/{campaignId}/leads/{leadId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/campaigns/{campaignId}/leads/{leadId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/campaigns/{campaignId}/leads/{leadId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/campaigns/{campaignId}/leads/{leadId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/campaigns/{campaignId}/leads/{leadId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"firstName": "John",
"lastName": "Doe",
"companyName": "Acme Inc",
"jobTitle": "Growth Engineer",
"companyDomain": "example.com",
"email": "support@lemlist.com",
"preferredContactMethod": "email",
"industry": "Technology",
"Company name": "John Doe",
"_id": "lea_fiDpiGV585wy3Oii2",
"isPaused": false,
"campaignId": "cam_bSn8EORHQxbWPjHvu",
"contactId": "ctc_xW8Ou6C03Csv8vatp",
"emailStatus": "deliverable"
}"Bad team""Lead not found"Leads
Delete or Unsubscribe Lead
Removes a lead from a campaign or unsubscribes it permanently.
DELETE
/
campaigns
/
{campaignId}
/
leads
/
{leadId}
Delete or Unsubscribe Lead
This endpoint uses the Lead object. Make sure to also check the Contact object to understand the distinction between the two.
action=remove in the params to delete a lead. If you don’t specify action=remove, the endpoint fallbacks to unsubscribing the lead and to do so you need to provide the lead email.Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The unique identifier of the campaign
The unique identifier of the lead
Query Parameters
Use 'remove' to force delete. Otherwise it will just unsubscribe the lead from the campaign.
Was this page helpful?